:root {
  --color-priamary2: #0c54a4;
  --color-priamary1: #234d7c;
  --color-priamary: #062c56;
  --color-secondary: #faa71d;
  --color-danger: #ff7782;
  --color-success: #41f1b6;
  --color-warning: #ffbb55;
  --color-white: #f9f8f6;
  --color-info-dark: #7d86a1;
  --color-info-light: #dce1ed;
  --color-dark: #363949;
  --color-light: rgba(132, 139, 200, 0.18);
  --color-primary-variant: #111e88;
  --color-dark-variant: #677483;
  --color-background: #ecf0f5;
  --color-background1: #0c54a4;

  --card-border-radius: 2rem;
  --border-radius-1: 0.4rem;
  --border-radius-2: 0.8rem;
  --border-radius-3: 1.2rem;

  --card-padding: 1.8rem;
  --padding-1: 1.2rem;
  --box-shadow: 0 2rem 3rem var(--color-light);
  --box-shadow-1: 0px -5px 3px var(--color-light);
  --background-color: linear-gradient(to right, #062c56, #0c53a4);
}
* {
  padding: 0;
  margin: 0;
  appearance: none;
  border: none;
  list-style: none;
  outline: none;
  box-sizing: border-box;
}

html {
  /* font-size: 10px; */
  /* percentage of user's browser font-size setting */
  /* 10px / 16px = 0.625 = 62.5% */
  font-size: 62.5%;
  height: 100%;
}
.wrapper {
  max-width: 1600px;
  margin: 0 auto;
}
.progress {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 0.5rem;
  background-color: var(--color-secondary);
  /* Transform and Animation */
  transform-origin: left;
  transform: scaleX(0);
  animation: progress linear;
  animation-timeline: scroll();
  z-index: 1000;
}
@keyframes progress {
  to {
    transform: scaleX(1);
  }
}

img,
iframe {
  display: block;
  max-width: 100%;
  height: auto;
}

.hero {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(35rem, 1fr));
  grid-template-rows: 1fr;
  padding: 1rem;
  column-gap: 2rem;
  row-gap: 0.5rem;
  max-width: 1600px;
  /* margin: 0 auto; */
  background: var(--background-color);
  height:90vh;
  margin-top: 6.5rem;
  margin-bottom: 3rem;
  /* background-color: var(--background-image); */
}

.rated {
  display: flex;
  align-items: center;
  margin-bottom: 2rem;
  gap: 1rem;
}
.rated-icon {
  color: var(--color-secondary);
  animation: to_right 1s ease forwards 1.5s;
}
.text-rate{
  padding: 1rem;
}
.text-rate,
.btn-our-service {
  border: 1px solid var(--color-white);
  color: var(--color-white);
  padding: 1rem;
  border-radius: 5rem;
  box-shadow: 0 1rem 1rem rgba(0, 0, 0, 0.2);
  transition: all ease 0.3s;
  animation: to_right 1s ease forwards 1.3s;
}

.hero-heading {
  color: var(--color-white);
  font-size: clamp(2.85rem, 0.929rem + 1.468vw, 4.65rem);
  font-weight: 600;
  line-height: 1.3;
  margin-bottom: 2rem;
  animation: to_right 1s ease forwards 1.3s;
}
.hero-heading .span {
  color: var(--color-secondary);
  animation-delay: 1.5s;
}
.hero-paragraph {
  /* font-size: clamp(1.4rem, 0.929rem + 1.468vw, 2.3rem); */
  font-size: 1.8rem;
  line-height: 1.5;
  margin-bottom: 2rem;
  font-weight: 600;
  color: var(--color-white);
  animation: to_right 1s ease forwards 1.5s;
}
.btn-box {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 1rem;
  margin-bottom: 0rem;
}
.btn-our-service {
  background-color: var(--color-priamary);
  font-size: 1.8rem;
  padding: 1.5rem;
}
.btn-our-service a{
  padding: 1.5rem;
  font-size: 1.8rem;
  font-weight: 600;
  color: var(--color-secondary);
  /* background-color: var(--color-priamary); */
}
.btn-our-service:hover,
.btn-our-service:active {
  background-color: var(--color-white);
  color: var(--color-priamary);
}
.play-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background-color: var(--color-white);
  animation: to_top 1s ease forwards 2s;
}
.play-btn,
.watch-video-text {
  color: var(--color-secondary);
  font-weight: 600;
  cursor: pointer;
  animation: to_top 1s ease forwards 2s;
}
.play-icon {
  font-size: 1.25rem;
}
.img {
  margin: 0 auto;
}
.counters {
  display: grid;
  padding: 0rem;
  grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
  grid-template-rows: 1fr;
  gap: 1rem;
  background-color: var(--color-priamary);
  color: var(--color-secondary);
  /* box-shadow: var(--box-shadow); */
  box-shadow: 0 2px 5px rgba(2, 88, 186, 0.689);
  border-radius: 3rem;
  margin-bottom: 4rem;
}
.counter {
  text-align: center;
  padding: 1rem 0.5rem;
  box-shadow: 0 2px 5px rgba(249, 248, 248, 0.73);
  animation: to_up 1s ease forwards 1.3s;
}
.counter .number {
  font-size: clamp(1.15rem, 0.929rem + 1.468vw, 1.85rem);
}
.counter .details {
  font-size: clamp(1.15rem, 0.929rem + 1.468vw, 1.65rem);
  color: var(--color-white);
  font-weight: 600;
}
/* Animation */
@keyframes to_bottom {
  0% {
    opacity: 0;
    transform: translateY(-50px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes to_right {
  0% {
    opacity: 0;
    transform: translateX(-50px);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}
@keyframes to_up {
  0% {
    opacity: 0;
    transform: translateY(50px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes to_left {
  0% {
    opacity: 0;
    transform: translateX(50px);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}
.text-box .text-rat,
.rated-icon,
.text-box p,
.text-box .btn {
  opacity: 0;
}
/* Serice Section */
.services .container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(35rem, 1fr));
  grid-auto-rows: 1fr;
  column-gap: 2rem;
  row-gap: 0.5rem;
  margin: 0 auto;
}
.heading-secondary {
  text-align: center;
  color: var(--color-priamary2);
  margin-top: 1rem;
  font-size: clamp(1.25rem, 1.049rem + 0.917vw, 1.875rem);
  font-weight: 600;
}
.services span {
  color: #805c26;
  margin: 1rem 0 2rem 0;
  font-weight: 600;
  font-size: 1.6rem;
  display: block;
  text-align: center;
}
.feature {
  padding: 1.25rem 0.5rem;
  border-radius: var(--border-radius-2);
  box-shadow: 0 1rem 1rem rgba(0, 0, 0, 0.2);
}
.feature,
.feature-image,
.stand-heding,
.stand-text,
.about-us-heading,
.card,
.about-us-text,
.our-vision-and-goal,
.our-vision,
.our-goal,
.headin-title,
.heading-button,
.des-card,
.checkpoint,
.contact-us-link,
.icons,
.expe {
  animation: appear 0.1s linear forwards;
  animation-timeline: view();
  animation-range: entry 0% cover 30%;
}
.feature:hover {
  box-shadow: none;
}
.feature-image {
  border-radius: 1rem;
  padding: 0 0.1rem;
}
.feature-image:hover {
  transform: scale(1.1);
}
.feature-icon {
  color: var(--color-secondary);
  width: 3rem;
  height: 3rem;
  padding: 0.8rem;
  border-radius: 50%;
  margin-bottom: 1rem;
}
.feature-title {
  color: var(--color-priamary);
  font-size: 1.8rem;
  font-weight: 600;
  margin-bottom: 0.8rem;
}
.feature-text {
  font-size: 1.6rem;
  color: #565555;
  line-height: 1.5;
}
/* animation scroll */
@keyframes appear {
  from {
    opacity: 0;
    scale: 0.4;
  }
  to {
    opacity: 1;
    scale: 1;
  }
}
/* Section Stand */
.stand {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(35rem, 1fr));
  grid-template-rows: 1fr;
  padding: 0.5rem;
  column-gap: 9rem;
  margin: 0 auto;
  @media screen and (min-width: 768px) {
    grid-template-columns: 2fr 1fr;
    column-gap: 0;
  }
}
.stand-text-box {
  background-color: var(--color-priamary);
  border-top-left-radius: 0.5rem; /* Rounded corners */
  border-top-right-radius: 0.5rem; /* Rounded corners */
  padding: 2rem 0.5rem;
}
.stand-heding {
  color: var(--color-secondary);
  font-size: clamp(1.125rem, 0.147rem + 4.471vw, 3.5rem);
  line-height: 1.2;
  margin-bottom: 1rem;
}
.stand-text {
  font-size: clamp(1.4rem, 0.93rem + 0.89vw, 1.8rem);
  margin-top: 2rem;
  padding: 0 1rem;
  line-height: 1.5;
  color: var(--color-white);
}
.stand-img {
  background-color: var(--color-secondary);
  border-bottom-left-radius: 0.5rem; /* Rounded corners */
  border-bottom-right-radius: 0.5rem; /* Rounded corners */
}
.women-img {
  /* max-height: 25rem; */
  margin: 0 auto;
  display: block;
  animation-range: entry 15% cover 35%;
}
/* Section Abou-us */
.about-us {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(35rem, 1fr));
  grid-template-rows: 1fr;
  padding: 0.5rem;
  column-gap: 9rem;
  row-gap: 2rem;
  margin: 0 auto;
  @media screen and (min-width: 801px) {
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    column-gap: 6rem;
  }
}
.card {
  background-color: var(--color-priamary1);
  animation-range: entry 5% cover 35%;
}
.about-us-desc {
  font-size: 1.8rem;
  font-weight: 500;
  line-height: 1.5;
  padding: 1rem;
  color: var(--color-white);
  margin-top: 3rem;
}
.about-img {
  position: relative;
  padding: 0 2rem 0 0;
}
.tag {
  background-color: var(--color-priamary);
  width: clamp(20rem, 70vw, 10rem);
  position: absolute;
  bottom: 0;
  right: 2rem;
  padding: 0.725rem;
  /* border: 1rem solid var(--color-priamary1); */
  border-radius: 3rem;

}
.tag p {
  color: var(--color-white);
  font-size: 1.8rem;
  text-align: center;
  background-color: var(--color-priamary);
}
.tag span {
  /* color: var(--color-secondary); */
  color: #be8a3d;
  font-size: 1.6rem;
  font-weight: 700;
}
.about-us-text-box {
  background-color: var(--color-white);
}
.about-us-span {
  font-size: 2rem;
  /* color: var(--color-secondary); */
  color: #be8a3d;
  text-transform: uppercase;
  font-weight: 600;
  text-align: center;
  background-color: var(--color-white);
}
.about-us-text {
  font-size: 1.8rem;
  line-height: 1.5;
  color: var(--color-dark);
  animation-range: entry 25% cover 65%;
}
.our-vision-and-goal {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  grid-template-rows: 1fr;
  gap: 3rem;
  padding: 3rem 2rem;
  border-radius: 2.3rem;
  background-color: var(--color-priamary);
  margin: 2rem 0rem; /* Adjusted margin */
  animation-range: entry 10% cover 40%;
  @media screen and (min-width: 801px) {
    grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
    column-gap: 4rem;
  }
}
.our-vision-and-goal .our-vision,
.our-goal {
  padding: 1rem;
  padding: 3rem 2rem;
  background-color: var(--color-white);
  box-shadow: 0rem 0.2rem 0.5rem var(--color-secondary);
  border-radius: var(--border-radius-3);
  animation-range: entry 5% cover 35%;
}
.our-vision-and-goal .our-vision:hover,
.our-goal:hover {
  box-shadow: none;
}
.our-vision-icon,
.our-goal-icon {
  color: var(--color-white);
  width: 2.4rem;
  height: 2.4rem;
  background-color: var(--color-priamary);
  padding: 0.8rem;
  border-radius: 50%;
  margin-bottom: 1.3rem;
}
.our-vision-title,
.our-goal-title {
  font-size: 1.6rem;
  font-weight: 600;
  /* color: var(--color-secondary); */
  /* color: #be8a3d; */
  color:#724c0d;
  margin-bottom: 1.8rem;
}
.our-goal-text,
.our-vision-text {
  font-size: 1.8rem;
  line-height: 1.6;
  color: #565555;
}
.contact-us-link {
  background-color: var(--color-priamary);
  color: var(--color-white);
  padding: 1rem 1.5rem; /* Adjusted padding */
  text-transform: uppercase;
  font-weight: 600;
  font-size: 1.2rem;
  word-spacing: 0.3rem;
  letter-spacing: 0.1rem;
  border-radius: 2rem;
  box-shadow: 0.1rem 0.3rem rgba(0, 0, 0, 0.1);
  animation-range: entry 5% cover 35%;
}
.contact-us-link:hover {
  background-color: var(--color-white);
  color: var(--color-priamary);
}
/* Section Lsndscape  */
.section-landscape {
  background-color: #0c54a4;
}
.landscape-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(35rem, 1fr));
  grid-template-rows: 1fr;
  column-gap: 9rem;
  row-gap: 0.5rem;
  margin: 0 auto;
  @media screen and (min-width: 768px) {
    grid-template-columns: repeat(auto-fit, minmax(55rem, 1fr));
    column-gap: 9rem;
  }
}
.heading-landscape {
  font-size: clamp(1.875rem, 1.755rem + 0.55vw, 2.25rem);
  padding: 0rem;
  text-align: center;
}
.heading-content {
  background-color: whitesmoke;
}
.heading-button {
  background-color: var(--color-priamary2);
  color: var(--color-white);
  border-radius: 3rem;
  font-size: 1.8rem;
  padding: 1rem 2rem;
  box-shadow: 0.1rem 0.3rem rgba(0, 0, 0, 0.1);
  cursor: pointer;
  animation-range: entry 15% cover 55%;
}
.heading-button:hover {
  background-color: #234d7c;
}
.landscpe-img-background {
  min-height: 20rem;
  background-image: url(assets/landscpae-img.webp) alt="landscape image of hidasietelecom building" width="100%" height="100%";
  filter: contrast(20%);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.lansdscape-des {
  background-color: var(--color-white);
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  padding: 2rem;
  margin-top: -10rem;
  border-radius: 1rem;
  box-shadow: var(--box-shadow-1);
  gap: 2rem;
  position: relative;
  top: unset;
  @media screen and (min-width: 801px) {
    grid-template-columns: repeat(auto-fit, minmax(35rem, 1fr));
    column-gap: 4rem;
  }
}
.des-card {
  padding: 1rem 3rem;
  position: relative;
  animation-range: entry 5% cover 30%;
}
.des-card::after {
  content: "";
  width: 1px;
  height: 8rem;
  border-left: dashed 3px var(--color-secondary);
  position: absolute;
  left: 0rem;
  top: 5rem;
}
.des-card-icon {
  background-color: var(--color-priamary2);
  color: var(--color-white);
  position: absolute; /* Change to static for better flow in smaller cards */
  width: 2rem; /* Make icon slightly larger */
  height: 2rem;
  left: -2rem;
  top: 1rem;
  padding: 1rem;
  border-radius: 50%; /* Make it round */
  margin-bottom: 1rem; /* Add margin below icon */
}
.card-title {
  font-size: 1.8rem;
  font-weight: bold;
  color: var(--color-priamary);
  margin-bottom: 0.8rem;
}
.card-description {
  font-size: 1.6rem;
  line-height: 1.2;
  color: #363949;
}
/* SECTION WORK WITH US */
@keyframes to_up {
  from {
    opacity: 0;
    transform: translateY(2rem);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes appear {
  from {
    opacity: 0;
    transform: translateY(2rem);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* Testimonials */
.testimonials-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  grid-template-rows: 1fr;
  padding: 2rem;
  column-gap: 2rem;
  row-gap: 2rem;
  margin: 0 auto;
}

/* Slidshow */
.slideshow-container {
  position: relative;
  background-color: var(--color-priamary);
  align-items: center;
  display: flex;
  transition: all 0.3s ease-in-out;
}
.mySlides {
  display: none;
  padding: 40px 8rem;
  text-align: center;
  margin-top: 5rem;
}
.mySlides img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
}
.image-div {
  display: flex;
  justify-content: start;
  gap: 1rem;
  align-items: center;
  margin-top: 3rem;
}
.tesimonials-person {
  color: var(--color-info-light);
  font-size: 1rem;
}
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -30px;
  padding: 16px;
  color: var(--color-secondary);
  font-weight: bold;
  font-size: 20px;
  border-radius: 0 3px 3px 0;
  user-select: none;
}
.next {
  position: absolute;
  right: 0;
  border-radius: 3px 0 0 3px;
}
.prev:hover,
.next:hover {
  background-color: var(--color-priamary2);
  color: white;
}
/* The dot/bullet/indicator container */
.dot-container {
  text-align: center;
  padding: 1.5rem;
  background: var(--color-priamary);
}
/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: var(--color-secondary);
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.dot:hover {
  background-color: var(--color-priamary2);
}
q,
p {
  font-style: italic;
  color: var(--color-white);
}
.author {
  color: var(--color-secondary);
  font-size: 1.8rem;
  margin-bottom: 1rem;
}
.fade {
  animation: fade ease-in forwards 1.5s;
}
@keyframes fade {
  from {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}
/* Our Partner */
.our-partners {
  display: grid;
  place-items: center;
}
.our-partners h1 {
  font-size: 3rem;
  font-weight: 600;
  padding: 5px;
  /* margin: 20px 0px; */
  color: var(--color-priamary2);
  margin-top: 12rem;
  margin-bottom: 3rem;
  text-transform: uppercase;
  border: 0.5rem solid var(--color-priamary1);
  border-bottom: 0.5rem solid var(--color-secondary);
}

.slider {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 80%;
  overflow: hidden;
  background: rgb(255, 255, 255);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(7.4px);
  -webkit-backdrop-filter: blur(7.4px);
  border: 1px solid rgba(255, 255, 255, 0.4);
}

.slider-items {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  animation: scrolling 20s linear infinite;
}

@keyframes scrolling {
  0% {
    transform: translateX(80%);
  }

  100% {
    transform: translateX(-20%);
  }
}

.slider-items img {
  width: 12%;
  margin: 20px;
}
/* why choice us */
.choice-us {
  background-color: whitesmoke;
}
.container-you-choice-us {
  display: grid;
  grid-template-rows: 1fr;
  column-gap: 1rem;
  /* grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr)); */
  @media screen and (min-width: 768px) {
    grid-template-columns: repeat(auto-fit, minmax(55rem, 1fr));
  }
}
.heading-choice-us {
  padding: 2rem;
}
.des {
  font-size: clamp(1.6rem, 1.58rem + -0.367vw, 4.25rem);
  line-height: 1.7;
  font-weight: 500;
  color: var(--color-dark);
  padding: 0 1rem;
}
.icons-expe {
  display: grid;
  /* grid-template-columns: repeat(auto-fit, minmax (15, 1fr)); */
  grid-template-columns: repeat(2, 1fr);
  justify-items: center;
  padding: 2rem;
  gap: 2rem;
  animation-range: entry 25% cover 65%;
}
.icon span {
  color: var(--color-secondary);
  font-size: 4.5rem;
  margin-bottom: 1rem;
}
.details {
  font-size: 1.8rem;
  font-weight: 600;
  margin-bottom: 2rem;
  justify-content: center;
  color: var(--color-priamary2);
}
/* Blog */
.wrapper-blog {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  row-gap: 2rem;
}
.blog-card {
  overflow: hidden;
  box-shadow: 0px 2px 20px #d7dfe2;
  background: var(--color-white);
  border-radius: 0.5rem;
  position: relative;
  max-width: 350px;
  margin: 1rem;
  transition: 250ms all ease-in-out;
  cursor: pointer;
}
.blog-card:hover {
  transform: scale(1.05);
  box-shadow: 0px 2px 40px #d7dfe2;
}
.banner-img {
  position: absolute;
  object-fit: cover;
  max-height: 14rem;
  min-width: 100%;
}
.catagory-tag {
  font-size: 0.8rem;
  font-weight: bold;
  color: var(--color-white);
  padding: 0.5rem 1.3rem 0.5rem 1rem;
  text-transform: uppercase;
  position: absolute;
  z-index: 111;
  top: 1rem;
  border-radius: 0 2rem 2rem 0;
}
.popular,
.psychology,
.technology {
  background: var(--color-priamary);
}
.card-body {
  margin: 15rem 1rem 1rem 1rem;
}
.blog-hashtag {
  font-size: 0.9rem;
  font-weight: 500;
  color: var(--color-priamary);
}
.blog-title {
  line-height: 1.5rem;
  margin: 1rem 0 0.5rem;
}
.blog-description {
  color:#565555;
  font-size: 1.9rem;
}
